<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.592
Name: Conclusion Pathology Entry (BK)
Description: Conclusion Pathology Entry, per monster
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000">
   <title>Conclusion Pathology Entry (BK)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]"
         id="d20e369-false-d4831e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]"
         id="d20e453-false-d4874e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@classCode) = ('ACT')">(ConclusionPathologyEntrybk): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@moodCode) = ('EVN')">(ConclusionPathologyEntrybk): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.593']]]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.593']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.595']]]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.595']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']"
         id="d20e459-false-d4962e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.592')">(ConclusionPathologyEntrybk): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.592' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e464-false-d4977e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@nullFlavor or (@code='85904-1' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologyEntrybk): de elementwaarde MOET een zijn van 'code '85904-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]"
         id="d20e469-false-d4993e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('SPC')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'SPC' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]"
         id="d20e473-false-d5013e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@classCode) = ('SPEC')">(ConclusionPathologyEntrybk): de waarde van classCode MOET 'SPEC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:id[not(@nullFlavor)]
Item: (ConclusionPathologyEntrybk)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]"
         id="d20e483-false-d5049e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@classCode) = ('ENT')">(ConclusionPathologyEntrybk): de waarde van classCode MOET 'ENT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(ConclusionPathologyEntrybk): de waarde van determinerCode MOET 'INSTANCE' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]) &lt;= 1">(ConclusionPathologyEntrybk): element lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]"
         id="d20e489-false-d5084e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@nullFlavor or (@code='NA' and @codeSystem='2.16.840.1.113883.5.1008' and @displayName='n.v.t.')">(ConclusionPathologyEntrybk): de elementwaarde MOET een zijn van 'code 'NA' codeSystem '2.16.840.1.113883.5.1008' displayName='n.v.t.''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]"
         id="d20e494-false-d5097e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@classCode) = ('CONT')">(ConclusionPathologyEntrybk): de waarde van classCode MOET 'CONT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']]) &gt;= 1">(ConclusionPathologyEntrybk): element lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']]) &lt;= 1">(ConclusionPathologyEntrybk): element lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]/lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]/lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']]"
         id="d20e498-false-d5117e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@classCode) = ('CONT')">(ConclusionPathologyEntrybk): de waarde van classCode MOET 'CONT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(ConclusionPathologyEntrybk): de waarde van determinerCode MOET 'INSTANCE' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:id[@nullFlavor = 'UNC']) &gt;= 1">(ConclusionPathologyEntrybk): element lab:id[@nullFlavor = 'UNC'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:id[@nullFlavor = 'UNC']) &lt;= 1">(ConclusionPathologyEntrybk): element lab:id[@nullFlavor = 'UNC'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]/lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']]/lab:id[@nullFlavor = 'UNC']
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:asSpecimenInContainer[@classCode = 'CONT'][lab:container[@classCode = 'CONT'][@determinerCode = 'INSTANCE']]/lab:container[not(@nullFlavor)][@classCode = 'CONT'][@determinerCode = 'INSTANCE'][lab:id[@nullFlavor = 'UNC']]/lab:id[@nullFlavor = 'UNC']"
         id="d20e504-false-d5141e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@extension">(ConclusionPathologyEntrybk): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(ConclusionPathologyEntrybk): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@nullFlavor) = ('UNC')">(ConclusionPathologyEntrybk): de waarde van nullFlavor MOET 'UNC' zijn. Gevonden: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']"
         id="d20e526-false-d5157e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('PRD')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'PRD' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]"
         id="d20e545-false-d5178e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@classCode) = ('SPECCOLLECT')">(ConclusionPathologyEntrybk): de waarde van classCode MOET 'SPECCOLLECT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@moodCode) = ('EVN')">(ConclusionPathologyEntrybk): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(ConclusionPathologyEntrybk): element lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ConclusionPathologyEntrybk): element lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ConclusionPathologyEntrybk): element lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e551-false-d5219e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ConclusionPathologyEntrybk): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.251 Verkrijgingswijze (BK) (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e559-false-d5244e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ConclusionPathologyEntrybk): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.257 Locatie PA (DYNAMISCH) of 2.16.840.1.113883.2.4.3.36.77.11.261 Clockface positions (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ConclusionPathologyEntrybk): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.36.77.11.257 Locatie PA (DYNAMISCH) of 2.16.840.1.113883.2.4.3.36.77.11.261 Clockface positions (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='20228-3']) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:qualifier[hl7:name/@code='20228-3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name/@code='20228-3']
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name/@code='20228-3']"
         id="d20e568-false-d5275e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CR" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ConclusionPathologyEntrybk): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ConclusionPathologyEntrybk): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e583-false-d5307e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@nullFlavor or (@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologyEntrybk): de elementwaarde MOET een zijn van 'code '20228-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ConclusionPathologyEntrybk)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:specimenPlayingEntity[hl7:code[(@code = 'NA' and @codeSystem = '2.16.840.1.113883.5.1008') or @nullFlavor]]/lab:productOf[@typeCode = 'PRD']/lab:specimenCollectionProcess[lab:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.251-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/lab:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.257-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.261-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e588-false-d5326e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntrybk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.255-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ConclusionPathologyEntrybk): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.255 Zijdigheid (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]
Item: (ConclusionPathologyEntrybk)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.596']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('COMP')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.593']]]
Item: (ConclusionPathologyEntrybk)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.593']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('COMP')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]
Item: (ConclusionPathologyEntrybk)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.594']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('COMP')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.595']]]
Item: (ConclusionPathologyEntrybk)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.595']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('COMP')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.592
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]
Item: (ConclusionPathologyEntrybk)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20190913T201540/tmp-2.16.840.1.113883.2.4.3.36.10.592-2019-03-10T000000.html"
              test="string(@typeCode) = ('COMP')">(ConclusionPathologyEntrybk): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
